# Uses of Class
org.apache.zookeeper.server.watch.PathParentIterator

Packages that use PathParentIterator
Package
Description
org.apache.zookeeper.server.watch

## Uses of PathParentIterator in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch that return PathParentIterator
Modifier and Type
Method
Description
`static PathParentIterator`
PathParentIterator.`forAll(String path)`
Return a new PathParentIterator that iterates from the given path to all parents.
`static PathParentIterator`
PathParentIterator.`forPathOnly(String path)`
Return a new PathParentIterator that only returns the given path - i.e.